%global debug_package %{nil}

Name:           ublue-bling
Version:        homebrew.2025.03.18.01.29.44
Release:        1.20250318194204438433.pr293.7.gd57147a%{?dist}
Summary:        Universal Blue Bling CLI setup scripts

License:        Apache-2.0
URL:            https://github.com/ublue-os/packages
VCS:            git+https://github.com/ublue-os/packages#d57147a7a1934d18d5a16493c38f19ce6ad48eb1:packages/ublue-bling
Source:         packages-homebrew.2025.03.18.01.29.44.tar.gz

Requires:       gum
# FIXME: make ublue-builder be able to handle stuff like this
# Requires:       ublue-os-just

%description
Universal Blue Bling CLI setup scripts

%prep
%setup -T -b 0 -q -n packages-homebrew.2025.03.18.01.29.44

%install
install -Dm0755 ./src/%{name} %{buildroot}%{_libexecdir}/%{name}
# Intented to either be symlinked into the correct directories or be used directly
install -Dm0755 ./src/bling.sh %{buildroot}%{_datadir}/ublue-os/bling/bling.sh
install -Dm0755 ./src/bling.fish %{buildroot}%{_datadir}/ublue-os/bling/bling.fish

%files
%{_libexecdir}/%{name}
%{_datadir}/ublue-os/bling/bling.*sh

%changelog
%autochangelog
